Bug 473122 - txtest 'extra ids' failures in qpid_test_transaction integrity test part B
txtest 'extra ids' failures in qpid_test_transaction integrity test part B
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Kim van der Riet
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 11:20 EST by Frantisek Reznicek
Modified: 2015-11-15 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:37:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Kim van der Riet 2008-11-26 11:39:11 EST
Part B tests recover and continue using the journal from the previous run. Only dtx tests fail in this manner.

Examination of the journal instances leading up to the failure shows that txtest uses a sequence of xids starting at 1 and incrementing. However, part B tests are fairly short-lived, and only add a few records to the journal. That means that during recovery (which start by looking at the oldest files and progressing to the newer ones) may stumble upon dtx transactions from older tests which happen to use the same xid as that of in-doubt transactions in the last test being recovered. This can cause the incorrect records to be enqueued/dequeued as part of the recovered transaction and may result in either a shortfall or excess of records at the end of the test.

This is a problem in txtest itself; the fix is to change the xids to be random rather than sequential.
Comment 3 Kim van der Riet 2008-11-26 11:42:50 EST
txtest was fixed in r.720910.

txtest now uses the 36-char string representation of UUIDs for xids.

QA: Repeat testing for part B and check for failures.
Comment 5 Frantisek Reznicek 2008-12-04 04:21:24 EST
Validated that issue has been fixed (7 runs), validated on RHEL 4.7 / 5.2, i386 / x86_64 on packages:qpidd-0.3.722122-2.el5, rhm-0.3.2898-1.el5.

->VERIFIED
Comment 7 errata-xmlrpc 2009-02-04 10:37:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.